## org.eclipse.emf.common.notify
Interface NotifyingList<E>

All Superinterfaces:
  java.util.Collection<E>, EList<E>, java.lang.Iterable<E>, java.util.List<E>

All Known Implementing Classes:
  BasicFeatureMap, DelegatingEcoreEList, DelegatingEcoreEList.Dynamic, DelegatingEcoreEList.Generic, DelegatingEcoreEList.Unsettable, DelegatingFeatureMap, DelegatingNotifyingInternalEListImpl, DelegatingNotifyingListImpl, EcoreEList, EcoreEList.Dynamic, EcoreEList.Generic, EcoreEMap.DelegateEObjectContainmentEList, EcoreEMap.Unsettable.UnsettableDelegateEObjectContainmentEList, EDataTypeEList, EDataTypeEList.Unsettable, EDataTypeUniqueEList, EDataTypeUniqueEList.Unsettable, EObjectContainmentEList, EObjectContainmentEList.Resolving, EObjectContainmentEList.Unsettable, EObjectContainmentEList.Unsettable.Resolving, EObjectContainmentWithInverseEList, EObjectContainmentWithInverseEList.Resolving, EObjectContainmentWithInverseEList.Unsettable, EObjectContainmentWithInverseEList.Unsettable.Resolving, EObjectEList, EObjectEList.Unsettable, EObjectResolvingEList, EObjectResolvingEList.Unsettable, EObjectWithInverseEList, EObjectWithInverseEList.ManyInverse, EObjectWithInverseEList.Unsettable, EObjectWithInverseEList.Unsettable.ManyInverse, EObjectWithInverseResolvingEList, EObjectWithInverseResolvingEList.ManyInverse, EObjectWithInverseResolvingEList.Unsettable, EObjectWithInverseResolvingEList.Unsettable.ManyInverse, EStoreEObjectImpl.BasicEStoreEList, EStoreEObjectImpl.BasicEStoreFeatureMap, EStoreEObjectImpl.EStoreEList, EStoreEObjectImpl.EStoreFeatureMap, ItemProvider.ItemProviderNotifyingArrayList, NotifyingInternalEListImpl, NotifyingListImpl, ResourceImpl.ContentsEList, ResourceSetImpl.ResourcesEList

    public interface NotifyingList<E>

extends EList<E>

A managed list that dispatches feature change notification to a notifier.

Method Summary
`java.lang.Object` `getFeature()` Returns the notifier's feature that this list represents.
`int` `getFeatureID()` Returns the notifier's feature ID that this list represents.
`java.lang.Object` `getNotifier()` Returns the notifier that manages this list.

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### getNotifier

    java.lang.Object getNotifier()

  Returns the notifier that manages this list.

  Returns:
    the notifier of the list.

### getFeature

    java.lang.Object getFeature()

  Returns the notifier's feature that this list represents.

  Returns:
    the feature of the list.
  See Also:
    `Notification.getFeature()`

### getFeatureID

    int getFeatureID()

  Returns the notifier's feature ID that this list represents.

  Returns:
    the feature ID of the list.
  See Also:
    `Notification.getFeatureID(java.lang.Class<?>)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.